summaryrefslogtreecommitdiffstats
path: root/audio/xmms2/xmms2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/xmms2/xmms2.SlackBuild')
-rw-r--r--audio/xmms2/xmms2.SlackBuild41
1 files changed, 30 insertions, 11 deletions
diff --git a/audio/xmms2/xmms2.SlackBuild b/audio/xmms2/xmms2.SlackBuild
index 404c2f037f..3dc928e7b5 100644
--- a/audio/xmms2/xmms2.SlackBuild
+++ b/audio/xmms2/xmms2.SlackBuild
@@ -4,11 +4,12 @@
# Written by Kyle Guinn <elyk03@gmail.com>
# Updated by Rainer Wittmaack <ningo@gmx.net>
+# Updated by Andrew Brouwers, abrouwers at gmail d0t com (13.0, 64-bit)
PRGNAM=xmms2
-VERSION="0.4DrKosmos"
+VERSION="0.6DrMattDestruction"
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -18,8 +19,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -33,22 +39,35 @@ cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+# Sorry waf, you have no right outside of $TMP
+# NOTE: this is fixed in master with a configure option (--without-ldconfig)
+sed -i 's#/sbin/ldconfig#/bin/true#' wscript
+
+# Don't be fooled by --with-libdir (fixed upstream, too)
+patch -Np1 -i $CWD/0.6_fix_libdir.diff
+
+# Fix compile for ruby 1.9
+# patch -Np1 -i $CWD/xmms2-ruby-1.9.patch
+
export CCFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
-./waf configure --prefix=/usr --with-perl-archdir=/usr/lib/perl5/vendor_perl/5.10.0
-./waf
+./waf --prefix=/usr \
+ --with-libdir=/usr/lib${LIBDIRSUFFIX} \
+ --with-pkgconfigdir=/usr/lib${LIBDIRSUFFIX}/pkgconfig \
+ --with-mandir=/usr/man \
+ -p configure
+
+./waf build
./waf install --destdir=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
)
-# The man pages are pre-gzipped, we don't have to do that here.
-# However, we do need to move them to the proper location.
-mv $PKG/usr/share/man $PKG/usr
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING* INSTALL README TODO $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -57,4 +76,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}